Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Newer
Older
100644 41 lines (33 sloc) 1.344 kB
7215269 @rymai Improve gemspec, .gitignore, .travis.yml and checked Yardoc
rymai authored
1 # encoding: utf-8
52724de @e2 fix almost ALL rubocop/houndci warnings
e2 authored
2 $LOAD_PATH.push File.expand_path("../lib", __FILE__)
3 require "guard/version"
4d3744f Initial commit
Thibaud Guillaume-Gentil authored
4
5 Gem::Specification.new do |s|
47d7c15 @e2 fix RuboCop offenses and update styleguide
e2 authored
6 s.name = "guard"
7 s.version = Guard::VERSION
8 s.platform = Gem::Platform::RUBY
9 s.license = "MIT"
10 s.authors = ["Thibaud Guillaume-Gentil"]
11 s.email = ["thibaud@thibaud.gg"]
12 s.homepage = "http://guardgem.org"
13 s.summary = "Guard keeps an eye on your file modifications"
52724de @e2 fix almost ALL rubocop/houndci warnings
e2 authored
14 s.description = "Guard is a command line tool to easily handle events"\
15 " on file system modifications."
d37502d Updated dev gems
Thibaud Guillaume-Gentil authored
16
52724de @e2 fix almost ALL rubocop/houndci warnings
e2 authored
17 s.required_ruby_version = ">= 1.9.3"
b4e41cb @rymai Ensure the gem actually requires Ruby >= 1.9.2
rymai authored
18
47d7c15 @e2 fix RuboCop offenses and update styleguide
e2 authored
19 s.add_runtime_dependency "thor", ">= 0.18.1"
dec9bc9 @e2 allow using Listen 2.x and 3.x
e2 authored
20 s.add_runtime_dependency "listen", ">= 2.7", "<= 4.0"
47d7c15 @e2 fix RuboCop offenses and update styleguide
e2 authored
21 s.add_runtime_dependency "pry", ">= 0.9.12"
52724de @e2 fix almost ALL rubocop/houndci warnings
e2 authored
22 s.add_runtime_dependency "lumberjack", "~> 1.0"
23 s.add_runtime_dependency "formatador", ">= 0.2.4"
9f276fe @e2 use Nenv
e2 authored
24 s.add_runtime_dependency "nenv", "~> 0.1"
ded60ec @e2 use sheller from gem
e2 authored
25 s.add_runtime_dependency "shellany", "~> 0.0"
bf48b64 @e2 remove classes provided by Notiffany
e2 authored
26 s.add_runtime_dependency "notiffany", "~> 0.0"
fc3e179 @netzpirat Add yard and kramdown to development dependencies.
netzpirat authored
27
b700d58 @e2 remove large guard.png from gem
e2 authored
28 git_files = `git ls-files -z`.split("\x0")
29 files = git_files.select { |f| /^(?:bin|lib)\/.*$/ =~ f }
30 files += %w(CHANGELOG.md LICENSE README.md)
31 files += %w(man/guard.1 man/guard.1.html)
32
33 # skip the large images/guard.png
34 files += %w(images/pending.png images/failed.png images/success.png)
35
36 s.files = files
af23c9a @e2 avoid junk by using git ls-files in gemspec
e2 authored
37
47d7c15 @e2 fix RuboCop offenses and update styleguide
e2 authored
38 s.executables = %w[guard _guard-core]
52724de @e2 fix almost ALL rubocop/houndci warnings
e2 authored
39 s.require_path = "lib"
34a77de @netzpirat Use the latest guard-rspec for development.
netzpirat authored
40 end
Something went wrong with that request. Please try again.